Package twisted :: Package internet :: Module protocol :: Class Protocol

[show private | hide private]
[frames | no frames]

## Class Protocol

    BaseProtocol --+
                   |
                  Protocol

Known Subclasses:
  `Proxy`, `Telnet`, `LineReceiver`, `SSHForwardingClient`, `SSHSessionProtocol`, `SSHSessionClient`, `SSHTransportBase`, `InsultsClient`, `IRC`, `TOCClient`, `Pynana`, `Int32StringReceiver`, `Int16StringReceiver`, `NetstringReceiver`, `DNSProtocol`, `DTP`, `DccSendProtocol`, `DccFileReceiveBasic`, `OscarConnection`, `ProtocolWrapper`, `SOCKSv4Outgoing`, `SOCKSv4Incoming`, `SOCKSv4`, `XMLParser`, `TOC`, `GetFileTransfer`, `SendFileTransfer`, `QOTD`, `Time`, `Who`, `Daytime`, `Chargen`, `Discard`, `Echo`, `Zodiac`, `MouseMan`, `InetdProtocol`

Method Summary
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
| ``dataReceived`(self, data)` Called whenever data is received.

Method Details

### connectionFailed(self)

(Deprecated)

This used to be called when the connection was not properly established.

### connectionLost(self, reason=<twisted.python.failure.Failure twisted.internet....)

Called when the connection is shut down.

Clear any circular references here, and any external references to this Protocol. The connection has been closed.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)

### dataReceived(self, data)

Called whenever data is received.

Use this method to translate to a higher-level message. Usually, some callback will be made upon the receipt of each complete protocol message.

  Parameters:
    `data` - a string of indeterminate length. Please keep in mind that you will probably need to buffer some data, as partial (or multiple) protocol messages may be received! I recommend that unit tests for protocols call through to this method with differing chunk sizes, down to one byte at a time.

Generated by Epydoc 1.1 on Thu May 8 13:16:28 2003 | http://epydoc.sf.net